Package Details: catalyst-total 15.9-25

Git Clone URL: https://aur.archlinux.org/catalyst-total.git (read-only, click to copy)
Package Base: catalyst-total
Description: AMD/ATI Catalyst drivers for linux. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
Upstream URL: https://www.amd.com
Licenses: custom
Conflicts: catalyst, catalyst-daemon, catalyst-dkms, catalyst-generator, catalyst-hook, catalyst-utils, libegl, libgl, libgles, libglvnd, mesa-libgl, mesa-libgl-git, opencl-amd
Provides: catalyst=15.9, catalyst-hook=15.9, catalyst-libgl=15.9, catalyst-utils=15.9, dri, libatical=15.9, libegl, libgl, libgles, libtxc_dxtn, mesa-libgl, mesa-libgl-git, opencl-catalyst=15.9, opencl-driver
Submitter: None
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 129
Popularity: 0.000000
First Submitted: 2009-11-11 05:59
Last Updated: 2018-04-29 16:39

Dependencies (23)

Required by (905)

Sources (36)

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10 11 12 13 14 15 ... Next › Last »

Perdouille commented on 2014-12-11 21:26

Hello ! Thanks for the driver :)

I try to play games under Linux, like Global Offensive. Even with this driver, it's still slow. Is there anything to install to make games work ? (Like other libs), or everything is in this package ?

Thanks !

Vi0L0 commented on 2014-12-11 20:49

ohh wait, somethings wrong is going on with osd (including subtitles) when using this new vaapi driver, guess it needs some fixes ;P, so it's still beter to use xvba here

Vi0L0 commented on 2014-12-11 20:38

actually vaapi does work well here without additional xvba-video packages :)

just add
export LIBVA_DRIVER_NAME=fglrx
into ~/.bashrc, and if that won't work for all your players you can create something like /etc/profile.d/fglrx-vaapi.sh with lets say:
LIBVA_DRIVER_NAME=fglrx
export LIBVA_DRIVER_NAME
LIBVA_DRIVERS_PATH=/usr/lib/dri/
export LIBVA_DRIVERS_PATH

Vi0L0 commented on 2014-12-10 22:38

updated to 14.12-1, "famous" catalyst omega
http://support.amd.com/en-us/kb-articles/Pages/AMDCatalystOmegaLINReleaseNotes.aspx

vaapi seems to not work though: http://www.phoronix.com/forums/showthread.php?110879-Catalyst-Omega-14-12-is-out&p=458342#post458342

quick tests showed that this driver is pretty good.
2d rendering was never that fast on 290X (its almost as fluid as on oss radeon)

IMPORTANT
thing is that from now on theres this new symlink:
ln -snf /usr/lib/libXvBAW.so.1.0 ${pkgdir}/usr/lib/dri/fglrx_drv_video.so
which will conflict with xvba-video packages. Thats amd's will, maybe they will do something with it. Feel free to remove this file(symlink) from your system before updating (if you will be touched by a conflict).

I already have updated xvba-video and opencl-headers (2.0) packages on my disk, as well as catalyst packages, but I need to test it. Before I will do this I have to go asleep. I already feel dizzy, sorry mates. I will perform repo (as well as other AUR packages) update tomorrow.

Ginkgo commented on 2014-12-09 07:17

New stable driver 14.12 is out: http://support.amd.com/en-us/kb-articles/Pages/AMDCatalystOmegaLINReleaseNotes.aspx

thekollegah commented on 2014-10-10 09:26

How come u say 1.16 Xorg is support?
Officially 1.15 is supported.
I tested it yesterday... with Xorg 1.16 "mesa" is using the GPU
with 1.15 and catalyst-total fglrx is using the GPU...

after updating xorg 1.15 -> 1.16 graphic card stopped working
so 1.16 is NOT supported yet

Vi0L0 commented on 2014-10-09 19:33

I mean if its working for you then you can only be happy ;)

Vi0L0 commented on 2014-10-09 19:32

sorry mate, i'm unable to reproduce it.
Not only me, and not only arch users, also amd claimed that 14.9 does supports up to xserver 1.15

ShyPixie commented on 2014-10-07 19:46

@Vi0L0 This version support xorg 1.16. I tested with Radeon HD 8570D and work fine.

ansh_kumar commented on 2014-10-04 07:03

Is it just me or anyone else is getting a poor 2D rendering ??